For the complete documentation index, see llms.txt. This page is also available as Markdown.

LanguagesSettings

Snyk API reference for the LanguagesSettings endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

Get language settings for an organization (Early Access)

get

Retrieves the language settings for a specific organization.

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to update the Snyk Languages settings

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

The Languages settings for the org

application/vnd.api+json
get/orgs/{org_id}/settings/open_source/languages
GET /rest/orgs/{org_id}/settings/open_source/languages?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "languages": {
        "dotnet": {
          "nuget": {
            "include_dev_dependencies": true
          }
        },
        "golang": {
          "gomodules": {
            "full_source_code_analysis": true
          }
        },
        "java": {
          "maven": {
            "mirrors": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "mirror_of": "text"
              }
            ],
            "repositories": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            ]
          }
        },
        "javascript": {
          "npm": {
            "exclude_lockfile_in_pr": true,
            "include_dev_dependencies": true,
            "registries": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "scope": "text"
              }
            ],
            "strict_out_of_sync": true,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "pnpm": {
            "exclude_lockfile_in_pr": true,
            "include_dev_dependencies": true,
            "registries": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "scope": "text"
              }
            ],
            "strict_out_of_sync": true,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "yarn": {
            "exclude_lockfile_in_pr": true,
            "include_dev_dependencies": true,
            "registries": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "scope": "text"
              }
            ],
            "strict_out_of_sync": true,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "php": {
          "composer": {
            "include_dev_dependencies": true
          }
        },
        "python": {
          "pip": {
            "python_version": "2"
          },
          "pipenv": {
            "include_dev_dependencies": true
          },
          "poetry": {
            "include_dev_dependencies": true
          }
        }
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "languages_settings"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Update language settings for an organization (Early Access)

patch

Updates one or more language settings for a specific organization.

Required permissions

  • View Organization (org.read)

  • Edit Organization (org.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to update the Snyk Languages settings

languagestring · enumRequired

The language for which settings are being updated

Possible values:
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

The Languages settings for the org have been updated

application/vnd.api+json
patch/orgs/{org_id}/settings/open_source/languages/{language}
PATCH /rest/orgs/{org_id}/settings/open_source/languages/{language}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 971

{
  "data": {
    "attributes": {
      "package_managers": {
        "npm": {
          "exclude_lockfile_in_pr": true,
          "include_dev_dependencies": true,
          "registries": [
            {
              "integration_type": "artifactory",
              "repository": "text",
              "type": "direct",
              "url": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything",
              "scope": "text"
            }
          ],
          "strict_out_of_sync": true,
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "pnpm": {
          "exclude_lockfile_in_pr": true,
          "include_dev_dependencies": true,
          "registries": [
            {
              "integration_type": "artifactory",
              "repository": "text",
              "type": "direct",
              "url": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything",
              "scope": "text"
            }
          ],
          "strict_out_of_sync": true,
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "yarn": {
          "exclude_lockfile_in_pr": true,
          "include_dev_dependencies": true,
          "registries": [
            {
              "integration_type": "artifactory",
              "repository": "text",
              "type": "direct",
              "url": "text",
              "ANY_ADDITIONAL_PROPERTY": "anything",
              "scope": "text"
            }
          ],
          "strict_out_of_sync": true,
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "language_settings"
  }
}
{
  "data": {
    "attributes": {
      "languages": {
        "dotnet": {
          "nuget": {
            "include_dev_dependencies": true
          }
        },
        "golang": {
          "gomodules": {
            "full_source_code_analysis": true
          }
        },
        "java": {
          "maven": {
            "mirrors": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "mirror_of": "text"
              }
            ],
            "repositories": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            ]
          }
        },
        "javascript": {
          "npm": {
            "exclude_lockfile_in_pr": true,
            "include_dev_dependencies": true,
            "registries": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "scope": "text"
              }
            ],
            "strict_out_of_sync": true,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "pnpm": {
            "exclude_lockfile_in_pr": true,
            "include_dev_dependencies": true,
            "registries": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "scope": "text"
              }
            ],
            "strict_out_of_sync": true,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "yarn": {
            "exclude_lockfile_in_pr": true,
            "include_dev_dependencies": true,
            "registries": [
              {
                "integration_type": "artifactory",
                "repository": "text",
                "type": "direct",
                "url": "text",
                "ANY_ADDITIONAL_PROPERTY": "anything",
                "scope": "text"
              }
            ],
            "strict_out_of_sync": true,
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        },
        "php": {
          "composer": {
            "include_dev_dependencies": true
          }
        },
        "python": {
          "pip": {
            "python_version": "2"
          },
          "pipenv": {
            "include_dev_dependencies": true
          },
          "poetry": {
            "include_dev_dependencies": true
          }
        }
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "languages_settings"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Last updated

Was this helpful?